<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@drawable/background_shape_white_radius_8">

        <RelativeLayout
            android:id="@+id/closeContainer"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginTop="5dp"
            android:layout_marginRight="5dp"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible">

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_centerInParent="true"
                app:srcCompat="@drawable/ic_dialog_close" />
        </RelativeLayout>

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="23dp"
            android:includeFontPadding="false"
            android:layout_marginRight="24dp"
            android:drawablePadding="4dp"
            android:gravity="center"
            android:text="添加桌面图标"
            android:textColor="@color/text_primary"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/contentIv"
            android:layout_width="252dp"
            android:layout_height="224dp"
            android:layout_marginTop="22dp"
            android:src="@drawable/ic_game_add_shortcut_permission_content"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/titleTv" />

        <TextView
            android:id="@+id/tipsTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="14dp"
            android:gravity="center_horizontal"
            android:layout_marginRight="24dp"
            android:lineSpacingExtra="4dp"
            android:text="需要设置权限才能添加到桌面。请前往安卓系统设置“权限-创建桌面快捷方式”，开启权限"
            android:textColor="@color/text_tertiary"
            android:textSize="12sp"
            app:layout_constraintTop_toBottomOf="@id/contentIv" />


        <TextView
            android:id="@+id/goSettingTv"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="22dp"
            android:includeFontPadding="false"
            android:layout_marginRight="24dp"
            android:background="@drawable/bg_gradient_radius_20"
            android:gravity="center"
            android:text="去设置"
            android:textColor="@color/text_FFFFFF"
            android:textSize="14sp"
            app:layout_constraintTop_toBottomOf="@id/tipsTv" />


        <TextView
            android:id="@+id/serviceTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="14dp"
            android:layout_marginRight="24dp"
            android:layout_marginBottom="22dp"
            android:gravity="center"
            android:lineSpacingExtra="8dp"
            android:text="无法正常设置，联系客服反馈"
            android:textColor="@color/text_tertiary"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/goSettingTv" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>